<!-- import excel ke mysql -->

<?php 
// menghubungkan dengan koneksi
include 'connect.php';
// menghubungkan dengan library excel reader
include "excel_reader2.php";
?>

<?php
// upload file xls
$target = basename($_FILES['filemhs']['name']) ;
move_uploaded_file($_FILES['filemhs']['tmp_name'], $target);

// beri permisi agar file xls dapat di baca
chmod($_FILES['filemhs']['name'],0777);

// mengambil isi file xls
$data = new Spreadsheet_Excel_Reader($_FILES['filemhs']['name'],false);
// menghitung jumlah baris data yang ada
$jumlah_baris = $data->rowcount($sheet_index=0);

// jumlah default data yang berhasil di import
$berhasil = 0;
for ($i=2; $i<=$jumlah_baris; $i++){

	// menangkap data dan memasukkan ke variabel sesuai dengan kolumnya masing-masing
	$nim = $data->val($i, 1);
	$nm_mhs = $data->val($i, 2);
	$tingkat = $data->val($i, 3);
	$kelas = $data->val($i, 4);
	$semester = $data->val($i, 5);
	$kota_lhr = $data->val($i, 6);
	$tgl_lhr = $data->val($i, 7);
	$agama = $data->val($i, 8);
	$jenkel = $data->val($i, 9);
	$alamat = $data->val($i, 10);
	$telp = $data->val($i, 11);
	$wali = $data->val($i, 12);
	$prog_study = $data->val($i, 13);
	$photo = $data->val($i, 14);
	$angkatan = $data->val($i, 15);
	$status = $data->val($i, 16);

	if($nim != "" && $nm_mhs != "" && $tingkat != ""){
		// input data ke database (table mhs)
	//	$input ="insert into mhs values('$nim','$nm_mhs','$tingkat','$kelas','$semester','$kota_lhr','$tgl_lhr','$agama','$jenkel','$alamat','$telp','$wali','$prog_study','$photo','$angkatan','$status')";
		mysqli_query($koneksi,"insert into mhs values('$nim','$nm_mhs','$tingkat','$kelas','$semester','$kota_lhr','$tgl_lhr','$agama','$jenkel','$alamat','$telp','$wali','$prog_study','$photo','$angkatan','$status')");
		$berhasil++;
	}
}

// hapus kembali file .xls yang di upload tadi
unlink($_FILES['filemhs']['name']);

// alihkan halaman ke index.php
header("location:upload.php?berhasil=$berhasil");
?>